package com.goafanti.common.model;

import java.util.Date;
import java.io.Serializable;


/**
 * 公出表(PublicRelease)实体类
 *
 * @author makejava
 * @since 2025-09-19 13:47:05
 */
public class PublicRelease implements Serializable {
    private static final long serialVersionUID = -51940966855825670L;

    private Integer id;
    /**
     * 公出人
     */
    private String aid;
    /**
     * 公出开始时间
     */
    private Date releaseStart;
    /**
     * 公出结束时间
     */
    private Date releaseEnd;
    /**
     * 公出目标
     */
    private String remarks;
    /**
     * 附件
     */
    private String annexUrl;
    /**
     * 状态 0驳回 1发起 2同意 3 撤销 4技术驳回
     */
    private Integer status;
    /**
     * 发起时间
     */
    private Date createTime;
    /**
     * 项目名称
     */
    private String pname;
    /**
     * 时长
     */
    private Double duration;
    /**
     * 有效日期
     */
    private String validDate;
    /**
     * 本次总结
     */
    private String supplement;
    /**
     * 审核信息
     */
    private String auditInfo;
    /**
     * 公出计划
     */
    private String plan;
    /**
     * 预计效果
     */
    private String expectedEffect;
    /**
     * 下次计划
     */
    private String nextPlan;
    /**
     * 分类 0业务 1技术 2行政 3 技术协单 4 技术助手
     */
    private Integer type;
    /**
     * 订单编号
     */
    private String orderNo;
    /**
     * 修改时间
     */
    private Date updateTime;
    /**
     * 修改状态 0=否 1=是
     */
    private Integer updateStatus;
    /**
     * 0否 1主公出 2协助公出 3技术助手
     */
    private Integer assist;
    /**
     * 协单人员
     */
    private String assistAid;
    /**
     * 协单人员
     */
    private String assistAidName;
    /**
     * 主要公出编号
     */
    private Integer mainId;
    /**
     * 主要公出发起人
     */
    private String mainName;
    /**
     * 驳回人员
     */
    private String rejectName;
    /**
     * 协单助手
     */
    private String assistantAid;
    /**
     * 协单助手名称
     */
    private String assistantName;
    /**
     * 再次公出
     */
    private Integer publicAgain;
    /**
     * 审核时间
     */
    private Date auditTime;
    /**
     * 客户类型 0新客户 1老客户
     */
    private String newUser;
    /**
     * 签单数
     */
    private String signSum;
    /**
     * 公司名称
     */
    private String userNames;
    /**
     * 公出对象 0企业 1园区
     */
    private Integer objectType;
    /**
     * 公出分类 0不含他人客户 1待审核 2已审核
     */
    private Integer publicType;
    /**
     * 公出企业地址
     */
    private String districtName;
    /**
     * 打卡状态 0未打卡 1已打卡 2异常打卡（冗余）
     */
    private Integer clockIn;
    /**
     * 0无需审核 1需要审核 2营销审核通过 3营销审核驳回
     */
    private Integer techStartProcess;
    /**
     * 公出企业地址
     */
    private String addressName;
    /**
     * 协单审核 0非协单 1协单上级未审核 2协单待审核 3协单部分审核 4协单完全审核 5协单驳回
     */
    private Integer assistProcess;
    /**
     * 协单业务公出 0否 1是
     */
    private Integer alone;
    /**
     * 0=无需多级审核，1=1级审核，2=2级审核，4=完成审核
     */
    private Integer processStatus;
    /**
     * 发起人名称
     */
    private String aname;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Date getReleaseStart() {
        return releaseStart;
    }

    public void setReleaseStart(Date releaseStart) {
        this.releaseStart = releaseStart;
    }

    public Date getReleaseEnd() {
        return releaseEnd;
    }

    public void setReleaseEnd(Date releaseEnd) {
        this.releaseEnd = releaseEnd;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAnnexUrl() {
        return annexUrl;
    }

    public void setAnnexUrl(String annexUrl) {
        this.annexUrl = annexUrl;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPname() {
        return pname;
    }

    public void setPname(String pname) {
        this.pname = pname;
    }

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public String getValidDate() {
        return validDate;
    }

    public void setValidDate(String validDate) {
        this.validDate = validDate;
    }

    public String getSupplement() {
        return supplement;
    }

    public void setSupplement(String supplement) {
        this.supplement = supplement;
    }

    public String getAuditInfo() {
        return auditInfo;
    }

    public void setAuditInfo(String auditInfo) {
        this.auditInfo = auditInfo;
    }

    public String getPlan() {
        return plan;
    }

    public void setPlan(String plan) {
        this.plan = plan;
    }

    public String getExpectedEffect() {
        return expectedEffect;
    }

    public void setExpectedEffect(String expectedEffect) {
        this.expectedEffect = expectedEffect;
    }

    public String getNextPlan() {
        return nextPlan;
    }

    public void setNextPlan(String nextPlan) {
        this.nextPlan = nextPlan;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getUpdateStatus() {
        return updateStatus;
    }

    public void setUpdateStatus(Integer updateStatus) {
        this.updateStatus = updateStatus;
    }

    public Integer getAssist() {
        return assist;
    }

    public void setAssist(Integer assist) {
        this.assist = assist;
    }

    public String getAssistAid() {
        return assistAid;
    }

    public void setAssistAid(String assistAid) {
        this.assistAid = assistAid;
    }

    public String getAssistAidName() {
        return assistAidName;
    }

    public void setAssistAidName(String assistAidName) {
        this.assistAidName = assistAidName;
    }

    public Integer getMainId() {
        return mainId;
    }

    public void setMainId(Integer mainId) {
        this.mainId = mainId;
    }

    public String getMainName() {
        return mainName;
    }

    public void setMainName(String mainName) {
        this.mainName = mainName;
    }

    public String getRejectName() {
        return rejectName;
    }

    public void setRejectName(String rejectName) {
        this.rejectName = rejectName;
    }

    public String getAssistantAid() {
        return assistantAid;
    }

    public void setAssistantAid(String assistantAid) {
        this.assistantAid = assistantAid;
    }

    public String getAssistantName() {
        return assistantName;
    }

    public void setAssistantName(String assistantName) {
        this.assistantName = assistantName;
    }

    public Integer getPublicAgain() {
        return publicAgain;
    }

    public void setPublicAgain(Integer publicAgain) {
        this.publicAgain = publicAgain;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getNewUser() {
        return newUser;
    }

    public void setNewUser(String newUser) {
        this.newUser = newUser;
    }

    public String getSignSum() {
        return signSum;
    }

    public void setSignSum(String signSum) {
        this.signSum = signSum;
    }

    public String getUserNames() {
        return userNames;
    }

    public void setUserNames(String userNames) {
        this.userNames = userNames;
    }

    public Integer getObjectType() {
        return objectType;
    }

    public void setObjectType(Integer objectType) {
        this.objectType = objectType;
    }

    public Integer getPublicType() {
        return publicType;
    }

    public void setPublicType(Integer publicType) {
        this.publicType = publicType;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public Integer getClockIn() {
        return clockIn;
    }

    public void setClockIn(Integer clockIn) {
        this.clockIn = clockIn;
    }

    public Integer getTechStartProcess() {
        return techStartProcess;
    }

    public void setTechStartProcess(Integer techStartProcess) {
        this.techStartProcess = techStartProcess;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public Integer getAssistProcess() {
        return assistProcess;
    }

    public void setAssistProcess(Integer assistProcess) {
        this.assistProcess = assistProcess;
    }

    public Integer getAlone() {
        return alone;
    }

    public void setAlone(Integer alone) {
        this.alone = alone;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public String getAname() {
        return aname;
    }

    public void setAname(String aname) {
        this.aname = aname;
    }

}

